| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GaudiKernel.PropertyProxy.GaudiHandlePropertyProxy Class Reference
Inheritance diagram for GaudiKernel.PropertyProxy.GaudiHandlePropertyProxy:
[legend]
Collaboration diagram for GaudiKernel.PropertyProxy.GaudiHandlePropertyProxy:
[legend]

## Public Member Functions
def | __init__ (self, descr, docString, default)
Public Member Functions inherited from GaudiKernel.PropertyProxy.GaudiHandlePropertyProxyBase
def | __init__ (self, descr, docString, default, handleType, allowedType)
def | __get__ (self, obj, type=None)
def | __set__ (self, obj, value)
def | isHandle (self, value)
def | isConfig (self, value)
def | getDefaultConfigurable (self, typeAndName, requester)
def | convertDefaultToBeSet (self, obj, default)
def | convertValueToBeSet (self, obj, value)
Public Member Functions inherited from GaudiKernel.PropertyProxy.PropertyProxy
def | __init__ (self, descr, docString=None, default=None)
def | setDefault (self, value)
def | getDefault (self)
def | fullPropertyName (self, obj)
def | __get__ (self, obj, type=None)
def | __set__ (self, obj, value)
def | __delete__ (self, obj)

## Additional Inherited Members
Public Attributes inherited from GaudiKernel.PropertyProxy.PropertyProxy
| history
| descr
Properties inherited from GaudiKernel.PropertyProxy.PropertyProxy
| default = property( getDefault, setDefault )

## Detailed Description

Definition at line 307 of file PropertyProxy.py.

## Constructor & Destructor Documentation

def GaudiKernel.PropertyProxy.GaudiHandlePropertyProxy.__init__ | ( |  | self,
|  |  | descr,
|  |  | docString,
|  |  | default
| ) |  |

Definition at line 308 of file PropertyProxy.py.

308 def __init__( self, descr, docString, default ):
309 GaudiHandlePropertyProxyBase.__init__( self, descr, docString, default, type(default), GaudiHandle )
310
311
gaudirun.type
type
Definition: gaudirun.py:125
GaudiKernel.PropertyProxy.GaudiHandlePropertyProxy.__init__
def __init__(self, descr, docString, default)
Definition: PropertyProxy.py:308

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/PropertyProxy.py